"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FuzzyInferenceSystem = void 0;
var FuzzyInferenceSystem = /** @class */ (function () {
    function FuzzyInferenceSystem(name, inputs, outputs) {
        if (inputs === void 0) { inputs = []; }
        if (outputs === void 0) { outputs = []; }
        var _this = this;
        this.addVariable = function (variable, type) {
            if (type === 'Input') {
                _this.inputs.push(variable);
            }
            else {
                _this.outputs.push(variable);
            }
            return _this;
        };
        this.addInput = function (variable) { return _this.addVariable(variable, 'Input'); };
        this.addOutput = function (variable) { return _this.addVariable(variable, 'Output'); };
        this.name = name;
        this.inputs = inputs;
        this.outputs = outputs;
    }
    return FuzzyInferenceSystem;
}());
exports.FuzzyInferenceSystem = FuzzyInferenceSystem;
